Bug 720267 - Review Request: perl-smartmatch - Pluggable smart matching back-ends
Summary: Review Request: perl-smartmatch - Pluggable smart matching back-ends
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 720339
TreeView+ depends on / blocked
 
Reported: 2011-07-11 09:35 UTC by Petr Pisar
Modified: 2011-11-25 02:21 UTC (History)
3 users (show)

Fixed In Version: perl-smartmatch-0.03-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-25 01:53:05 UTC
Type: ---
emmanuel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2011-07-11 09:35:05 UTC
Spec URL: http://ppisar.fedorapeople.org/perl-smartmatch/perl-smartmatch.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-smartmatch/perl-smartmatch-0.03-1.fc15.src.rpm
Description:
This module allows you to override the behavior of the smart match operator
("~~"). "use smartmatch $matcher" hooks into the compiler to replace the
smartmatch opcode with a call to a custom subroutine, specified either as
a coderef or as a string, which will have "smartmatch::engine::" prepended to
it and used as the name of a package in which to find a subroutine named
"match".  The subroutine will be called with two arguments, the values on the
left and right sides of the smart match operator, and should return the
result.

Comment 1 Petr Pisar 2011-07-11 12:39:51 UTC
Notice for packager: Target to F16--14 to bring better smartmatch operator to all users.

Comment 2 Emmanuel Seyman 2011-10-09 10:10:18 UTC
Taking.

Comment 3 Emmanuel Seyman 2011-10-09 10:21:27 UTC
This package doesn't build.
Petr, add perl(ExtUtils::Depends) as a BR and you should be good to go.

Comment 4 Petr Pisar 2011-10-10 09:08:47 UTC
You are right. Updated package in at the same locator.

Comment 5 Emmanuel Seyman 2011-11-02 23:29:36 UTC
Sorry about the lag. I got sidetracked by a number of issues.

=== KEY ===

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===

 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3481594

 [x] Rpmlint output: 
perl-smartmatch.src: W: spelling-error Summary(en_US) Pluggable -> Plug gable, Plug-gable, Plugged
perl-smartmatch.src: W: spelling-error %description -l en_US matcher -> marcher, matches, catcher
perl-smartmatch.src: W: spelling-error %description -l en_US opcode -> op code, op-code, code
perl-smartmatch.src: W: spelling-error %description -l en_US coderef -> code ref, code-ref, coder
perl-smartmatch.src: W: spelling-error %description -l en_US prepended -> pretended, prep ended, prep-ended
perl-smartmatch.x86_64: W: spelling-error Summary(en_US) Pluggable -> Plug gable, Plug-gable, Plugged
perl-smartmatch.x86_64: W: spelling-error %description -l en_US matcher -> marcher, matches, catcher
perl-smartmatch.x86_64: W: spelling-error %description -l en_US opcode -> op code, op-code, code
perl-smartmatch.x86_64: W: spelling-error %description -l en_US coderef -> code ref, code-ref, coder
perl-smartmatch.x86_64: W: spelling-error %description -l en_US prepended -> pretended, prep ended, prep-ended
2 packages and 1 specfiles checked; 0 errors, 10 warnings.


 [x] Package is not relocatable.
 [x] Buildroot is correct
None specified, default used.

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
e7dcdc67ab12be626215a50ea7e2c130  smartmatch-0.03-TRIAL.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===

 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: fedora-rawhide-x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3481594
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=8, Tests=50,  0 wallclock secs ( 0.04 usr  0.01 sys +  0.18 cusr  0.04 csys =  0.27 CPU)
Result: PASS

You should feel free to enable all the tests distributed with the module but this is not a blocker.

APPROVED.

Comment 6 Petr Pisar 2011-11-03 09:09:45 UTC
New Package SCM Request
=======================
Package Name: perl-smartmatch 
Short Description: Pluggable smart matching back-ends
Owners: ppisar mmaslano psabata
Branches: f14 f15 f16
InitialCC: perl-sig

Comment 7 Gwyn Ciesla 2011-11-03 12:15:58 UTC
Git done (by process-git-requests).

Comment 8 Petr Pisar 2011-11-03 13:44:52 UTC
Thank you for the review and the repository.

Comment 9 Fedora Update System 2011-11-03 13:55:12 UTC
perl-smartmatch-0.03-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-smartmatch-0.03-1.fc16

Comment 10 Fedora Update System 2011-11-03 13:55:41 UTC
perl-smartmatch-0.03-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-smartmatch-0.03-1.fc15

Comment 11 Fedora Update System 2011-11-03 13:55:58 UTC
perl-smartmatch-0.03-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-smartmatch-0.03-1.fc14

Comment 12 Fedora Update System 2011-11-03 21:53:12 UTC
perl-smartmatch-0.03-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 13 Fedora Update System 2011-11-25 01:53:05 UTC
perl-smartmatch-0.03-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 14 Fedora Update System 2011-11-25 02:19:00 UTC
perl-smartmatch-0.03-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 15 Fedora Update System 2011-11-25 02:21:50 UTC
perl-smartmatch-0.03-1.fc14 has been pushed to the Fedora 14 stable repository.


Note You need to log in before you can comment on or make changes to this bug.